Language.Haskell.HLint2

applyHints

# Idea data type

data Idea

data Severity

data Note

# Settings

data Classify

getHLintDataDir

autoSettings

autoSettings'

findSettings

readSettings

# Hints

data Hint

builtinHints

data HintRule

hintRules

# Scopes

data Scope

scopeCreate

scopeMatch

scopeMove

# Haskell-src-exts

parseModuleEx

defaultParseFlags

data ParseError

data ParseFlags

data CppFlags

# File encodings

type Encoding

defaultEncoding

readEncoding

useEncoding